# Interface WMSSublayerJson

A layer object may allow overrides on popup content and drawing behavior for individual layers of a web service.

See https://developers.arcgis.com/web-map-specification/objects/wmsLayer_layer/.

interface WMSSublayerJson {
legendUrl?: string;
name?: string;
queryable?: boolean;
showPopup?: boolean;
title?: string;
}

#### Hierarchy (view full)

- WMSSublayerJson
  - WMSSublayerProperties

#####
Index

### Properties

legendUrl?
name?
queryable?
showPopup?
title?

##
Properties

### `Optional` legendUrl

legendUrl?: string

A string URL to a legend graphic for the layer.

### `Optional` name

name?: string

A string containing a unique name for the layer.

### `Optional` queryable

queryable?: boolean

Boolean specifying whether a layer is queryable or not.

### `Optional` showPopup

showPopup?: boolean

Boolean specifying whether to display popup or not.

### `Optional` title

title?: string

A user-friendly string title for the layer that can be used in a table of contents.